Subject: Re: [PATCH net] MAINTAINERS: I don't want to review Renesas Ethernet Switch driver

From: Simon Horman <[email-masked]>
Date: Wed, 3 Jan 2024 21:28:22 +0000

+ Shimoda-san

On Wed, Jan 03, 2024 at 11:56:15PM +0300, Sergey Shtylyov wrote:
> I don't know this hardware, I don't have the manuals for it, so I can't
> provide a good review.  Let's exclude the Ethernet Switch related files.
> 
> Signed-off-by: Sergey Shtylyov <[email-masked]>

Hi Sergey,

I don't know the back story to this, if there is one.
But could I suggest that:

1. The patch also updates the title MAINTAINERS section to cover the
   remaining two drivers.

   e.g.: RENESAS ETHERNET DRIVERS ->
         RENESAS ETHERNET AVB AND SUPERH ETHERNET DRIVERS

   Or alternatively, create separate sections for each driver.

   n.b.: This may involve moving sections to maintain alphabetical order
         by section title

2. Reaching out to Shimoda-san (CCed) or other relevant parties
   to see if an appropriate maintainer or maintainers for the
   Renesas Ethernet Switch driver can be found.

   n.b.: It may still be a holiday period in Japan for the rest of the week.

3. Rephrase the subject and patch description as splitting out maintenance of
   the Renesas Ethernet Switch driver .

> ---
> The patch is against the 'main' branch of DaveM's 'net.git' repo...
> 
>  MAINTAINERS |    3 +++
>  1 file changed, 3 insertions(+)
> 
> Index: net/MAINTAINERS
> ===================================================================
> --- net.orig/MAINTAINERS
> +++ net/MAINTAINERS
> @@ -18358,6 +18358,9 @@ L:	[email-masked]
>  F:	Documentation/devicetree/bindings/net/renesas,*.yaml
>  F:	drivers/net/ethernet/renesas/
>  F:	include/linux/sh_eth.h
> +X:	Documentation/devicetree/bindings/net/renesas,*ether-switch.yaml
> +X:	drivers/net/ethernet/renesas/rcar_gen4_ptp.*
> +X:	drivers/net/ethernet/renesas/rswitch.*
>  
>  RENESAS IDT821034 ASoC CODEC
>  M:	Herve Codina <[email-masked]>